Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api
Interface IQueryResults

All Superinterfaces:
  IBaseQueryResults, INamedObject

    public interface IQueryResults

extends IBaseQueryResults

A handle used to retrieve a data engine query's results. A query results could contain multiple result sets. This is intended to be used by both Factory and Presentation Engines in BIRT, including later releases when a report document persists. Beyond Release 1, this would include methods to save and restore results in a persisted Report Document.

Method Summary
`void` | `cancel()` Cancel the current operation.
`IPreparedQuery` | `getPreparedQuery()` Returns the `IPreparedQuery` that produced this instance.
`IResultIterator` | `getResultIterator()` Returns the current result's iterator.
`IResultMetaData` | `getResultMetaData()` Returns the metadata of the first or current result set This method provides the result metadata without having to first fetch the result data.

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseQueryResults
`close, getID`

Methods inherited from interface org.eclipse.birt.data.engine.api.INamedObject
`getName, setName`

Method Detail

### getPreparedQuery

    IPreparedQuery getPreparedQuery()

  Returns the `IPreparedQuery` that produced this instance.

### getResultMetaData

    IResultMetaData getResultMetaData()
                                      throws org.eclipse.birt.core.exception.BirtException

  Returns the metadata of the first or current result set
  This method provides the result metadata without having to first fetch the result data.

  Returns Null if the metadata is not available before fetching from an `IResultIterator`, or if it is ambiguous on which result set to reference. In such case, one should obtain the result metadata from a specific `IResultIterator`.``

  Returns:
    The metadata of the first result set's detail row in this `IQueryResults`. Null if not available or ambiguous on which result set to reference.``
  Throws:
    `org.eclipse.birt.data.engine.core.DataException` - if error occurs in Data Engine
    `org.eclipse.birt.core.exception.BirtException`

### getResultIterator

    IResultIterator getResultIterator()
                                      throws org.eclipse.birt.core.exception.BirtException

  Returns the current result's iterator. Repeated call of this method without having advanced to the next result would return the same iterator at its current state.

  Returns:
    The current result's iterator.
  Throws:
    `org.eclipse.birt.data.engine.core.DataException` - if error occurs in Data Engine
    `org.eclipse.birt.core.exception.BirtException`

### cancel

    void cancel()

  Cancel the current operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.